Bug 1796538 - Monitoring Dashboards: Table contents don't match between Grafana and console
Summary: Monitoring Dashboards: Table contents don't match between Grafana and console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1794885
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-30 16:39 UTC by Samuel Padgett
Modified: 2020-05-13 21:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:55:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
Console dashboard (997.93 KB, image/png)
2020-01-30 16:39 UTC, Samuel Padgett
no flags Details
Grafana dashboard (869.79 KB, image/png)
2020-01-30 16:39 UTC, Samuel Padgett
no flags Details
Prometheus Dashboard in Console (129.68 KB, image/png)
2020-02-10 07:16 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4131 0 None closed Bug 1796538: Fix monitoring dashboard table columns 2020-02-10 06:51:45 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:55:52 UTC

Description Samuel Padgett 2020-01-30 16:39:02 UTC
Created attachment 1656534 [details]
Console dashboard

The console table on the "prometheus" dashboard doesn't match what Grafana shows. See screenshots.

Comment 1 Samuel Padgett 2020-01-30 16:39:28 UTC
Created attachment 1656535 [details]
Grafana dashboard

Comment 2 Samuel Padgett 2020-01-30 16:40:53 UTC
The table columns don't match, and console shows Instance twice. Count and Job columns are empty in console.

Comment 4 Yanping Zhang 2020-02-04 09:05:18 UTC
Checked on OCP 4.3 env with payload:4.4.0-0.nightly-2020-02-02-225006
On monitoring->Dashboads page, didn't see "Instance" adn "Job" dropdown labels. Is it blocked by this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1797497 ?

Comment 5 Yanping Zhang 2020-02-06 07:25:11 UTC
Now could see "Instance" adn "Job" dropdown labels On monitoring->Dashboads page, but could not load options from dropdown list. Should be blocked by bug: https://bugzilla.redhat.com/show_bug.cgi?id=1794885
Will check after data could be loaded.

Comment 6 Yadan Pei 2020-02-10 07:16:18 UTC
Created attachment 1662054 [details]
Prometheus Dashboard in Console

Now Prometheus Dashboard in console show 'Instance', 'Uptime', 'Job', 'Version' in Prometheus Stats table, also we have variable dropdown where user can change 'Job' and 'Instance' value as in Grafana console


Verified on 4.4.0-0.nightly-2020-02-09-193413

Comment 8 errata-xmlrpc 2020-05-13 21:55:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.